> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zeal.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Accrual Policy Usage

> Apply accrual usage (or a correction) for one or more employees under a given accrual policy.



## OpenAPI

````yaml openapi/zeal-api.json post /accrualPolicy/{policyCode}/usage
openapi: 3.1.0
info:
  title: zeal-api
  version: '1.0'
servers:
  - url: https://api.zeal.com
security:
  - sec0: []
paths:
  /accrualPolicy/{policyCode}/usage:
    post:
      summary: Create Accrual Policy Usage
      description: >-
        Manage usage amounts for employees based on specific accrual policies
        within a company
      operationId: post-accrual-policy-usage
      parameters:
        - name: policyCode
          in: path
          description: >-
            The unique identifier for the accrual policy under which the usage
            is being applied
          schema:
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - companyID
                - employees
              properties:
                companyID:
                  type: string
                  description: The unique identifier for the company.
                employees:
                  type: array
                  description: >-
                    A list of employees for whom usage is being applied. Each
                    object in the array should have the following properties.
                  items:
                    properties:
                      employeeID:
                        type: string
                        description: The unique identifier for the employee
                      start_date:
                        type: string
                        description: >-
                          The start date of the usage period in YYYY-MM-DD
                          format
                      end_date:
                        type: string
                        description: The end date of the usage period in YYYY-MM-DD format
                      amount:
                        type: integer
                        description: >-
                          The amount of usage being applied. A positive number
                          adds to the employee's usage
                        format: int32
                      correction:
                        type: boolean
                        description: >-
                          When set to true, this field indicates that the usage
                          is a correction. Corrections adjust the employee's
                          balance by storing the amount as a negative usage
                    required:
                      - employeeID
                      - start_date
                      - end_date
                    type: object
            examples:
              Request Example:
                value:
                  companyID: 6181b78dba43479c8dc23f046b32bc28
                  employees:
                    - employeeID: 66c7738bbabb2213d7628c02
                      start_date: '2024-12-10'
                      end_date: '2024-12-11'
                      amount: 4
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    data:
                      - companyID: 6181b78dba43479c8dc23f046b32bc28
                        policyID: 66c8cb269d0072479db7c7e
                        employeeID: 66c7738bbabb2213d7628c02
                        correction: false
                        amount: 4
                        start_date: '2024-12-10'
                        end_date: '2024-12-11'
                    success: true
                    testMode: true
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value:
                    success: false
                    errors:
                      - message: Accrual policy with this policy code not found
                        code: 109
                        status: 404
                        correlationId: fedfd6fd-c689-40d1-8d80-f9e3c4efceba
                    testMode: true
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: false
                    default: true
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        message:
                          type: string
                          example: Accrual policy with this policy code not found
                        code:
                          type: integer
                          example: 109
                          default: 0
                        status:
                          type: integer
                          example: 404
                          default: 0
                        correlationId:
                          type: string
                          example: fedfd6fd-c689-40d1-8d80-f9e3c4efceba
                  testMode:
                    type: boolean
                    example: true
                    default: true
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: bearer

````